
# 目的地の座標定義 (クリエイティブラボ起点)
DESTINATIONS = {
    "学生玄関": [{"x": 50.5, "y": -10.5},
                 {"x": -2.0, "y": -10.5},   # 学生玄関
                 {"x": 50.5, "y": -10.5}],  # 帰還用の中継点
    "E科棟": [{"x": 50.5, "y": -10.5},
                {"x": -2.0, "y": -10.5},
                {"x": -2.0, "y": 27.1},
                {"x": 30.0, "y": 27.1},  # E科棟
                {"x": -2.0, "y": 27.1},  # 以降、帰還用の中継点
                {"x": -2.0, "y": -10.5},
                {"x": 50.5, "y": -10.5}],
    "管理棟": [{"x": 50.5, "y": -10.5},
                {"x": -2.0, "y": -10.5},
                {"x": -2.0, "y": 27.1},
                {"x": -30.0, "y": 27.1},  # 管理棟
                {"x": -2.0, "y": 27.1},   # 以降、帰還用の中継点
                {"x": -2.0, "y": -10.5},
                {"x": 50.5, "y": -10.5}],
    "クリエイティブラボ": [{"x": 50.5, "y": 2.0},
                {"x": 50.5, "y": 5.5}],
    "D科演習室": [{"x": 50.5, "y": 1.5},
                {"x": 50.5, "y": 5.5}],
    "D科棟玄関(講義棟側)": {"x": 50.5, "y": -21.5},
    "共通教室3": [{"x": 50.5, "y": -10.5},
                 {"x": -2.0, "y": -10.5},
                 {"x": -2.0, "y": 6.6},     # 共通教室3
                 {"x": -2.0, "y": -10.5},   # 以降、帰還用の中継点
                 {"x": 50.5, "y": -10.5}],
    "総務課": [{"x": 50.5, "y": -10.5},
                {"x": -2.0, "y": -10.5},
                {"x": -2.0, "y": 27.1},
                {"x": -31.1, "y": 27.1},  # 総務課
                {"x": -2.0, "y": 27.1},   # 以降、帰還用の中継点
                {"x": -2.0, "y": -10.5},
                {"x": 50.5, "y": -10.5}],
    "D科棟": [{"x": 50.5, "y": -10.5},
                {"x": 50.5, "y": 5.5}]
}

# 巡回ルートの定義 (クリエイティブラボ起点)
ROUTES = {
    "講義棟巡回": [
        {"name": "check_point_a", "x": 50.5, "y": -10.5},
        {"name": "学生玄関", "x": -2.0, "y": -10.5},
        {"name": "check_point_b", "x": -2.0, "y": 27.1},
        {"name": "学生玄関", "x": -1.5, "y": -8.0},
        {"name": "check_point_a", "x": 50.5, "y": -10.5}
    ],
    "建物間巡回": [
        {"name": "D科棟玄関(講義棟側)", "x": 50.5, "y": -21.5},
        {"name": "check_point_a", "x": 50.5, "y": -10.5},
        {"name": "学生玄関", "x": -2.0, "y": -10.5},
        {"name": "check_point_b", "x": -2.0, "y": 27.1},
        {"name": "E科棟", "x": 30.0, "y": 27.1},
        {"name": "管理棟", "x": -30.0, "y": 27.1},
        {"name": "check_point_b", "x": -2.0, "y": 27.1},
        {"name": "学生玄関", "x": -2.0, "y": -10.5},
        {"name": "check_point_a", "x": 50.5, "y": -10.5}
    ],
    "D科棟巡回": [
        {"name": "D科棟玄関(講義棟側)", "x": 50.5, "y": -21.5},
        {"name": "D科演習室", "x": 50.5, "y": 1.5},
        {"name": "D科棟玄関(E科棟側)", "x": 50.5, "y": 11.5},
        {"name": "クリエイティブラボ", "x": 50.5, "y": 1.7}
    ]
}

"""座標データ メモ"""
# 共通棟
"""
    "共通棟": {"x": -2.0, "y": -10.5}
    "学生玄関": {"x": -2.0, "y": -10.5}
    "階段(学生玄関側)": {"x": -0.6, "y": -8.3}
    "階段(図書館側)": {"x": -0.6, "y": 25.0}

    "第3会議室": {"x": 17.4, "y": -10.5}
    "非常勤講師室": {"x": 21.3, "y": -10.5}
    "保健室": {"x": 27.5, "y": -10.5}
    "カウンセリング室": {"x": 33.5, "y": -10.5}
    "学生生活支援室": {"x": 37.5, "y": -10.5}
    "非常勤講師控室": {"x": 41.6, "y": -10.5}
    "印刷コーナー": {"x": 45.8, "y": -10.5}

    "共通教室3": {"x": -2.0, "y": 6.6}
"""

# D科棟
"""
    "D科棟": {"x": 50.5, "y": -10.5}
    "D科棟玄関(講義棟側)": {"x": 50.5, "y": -21.5}
    "D科棟玄関(E科棟側)": {"x": 50.5, "y": 11.5}
    "D科棟階段": {"x": 48.8, "y": 10.6}

    "情報処理演習室(D科演習室)": {"x": 50.5, "y": 1.7}
    "クリエイティブラボ": {"x": 50.5, "y": 1.7}
    "大庭研究室": {"x": 50.5, "y":-7.9}
    "大沼研究室": {"x": 50.5, "y": -20.5}
    "電子制御実験室1": {"x": 50.5, "y": -15.0}
"""

# E科棟
"""
    "E科棟": {"x": 30.0, "y": 27.1}
    "E科棟玄関(D科棟側)": {"x": 39.3, "y": 7.1}
    "E科棟階段": {"x": 39.3, "y": 7.1}

    "電力応用工学研究室": {"x": 13.5, "y": 27.1}
    "大津研究室": {"x": 19.1, "y": 27.1}
    "高野研究室": {"x": 23.2, "y" 27.1}
    "パワーエレクトロニクス研究室": {"x": 29.2, "y": 27.1}
    "小村研究室": {"x": 35.0, "y": 27.1}
    "山之内研究室": {"x": 43.2, "y": 27.1}
    "モーションコントロール研究室": {"x": 46.9, "y": 27.1}
    "学生実験室": {"x": 48.2, "y": 27.1}
"""

# 管理棟
"""
    "管理棟": {"x": -30.0, "y": 27.1}
    "管理棟玄関": {"x": -41.5, "y": 25.0}
    "管理棟階段": {"x": -41.5, "y": 27.1}

    "ナノ物性工学実験室": {"x": -11.0, "y": 27.1}
    "第2会議室": {"x": -17.2, "y": 27.1}
    "総務課": {"x": -31.1, "y": 27.1}
"""

# チェックポイント (廊下の突き当り)
"""
    "学生玄関": {"x": -2.0, "y": -10.5}        # 共通棟の突き当り (チェックポイントとしても利用)
    "check_point_a": {"x": 50.5, "y": -10.5}  # D科と共通棟の廊下の突き当り
    "check_point_b": {"x": -2.0, "y": 27.1}   # 管理棟と共通棟の廊下の突き当り
"""
