// define.h
#ifndef DEFINE_H
#define DEFINE_H

// ピン定義
#define PIN_ENC_A_L 39
#define PIN_ENC_B_L 36
#define PIN_ENC_A_R 35
#define PIN_ENC_B_R 34

#define PIN_DIR_R   25
#define PIN_PWM_R   26
#define PIN_DIR_L   32
#define PIN_PWM_L   33

// 物理パラメータ
#define COUNTS_PER_REV    4096.0
#define WHEEL_RADIUS      0.035  // ホイール径 [m]
#define WHEEL_BASE       0.60   // 車輪間幅 [m]

// 左モータのPIDゲイン
#define KP_MOTOR_L 86.5   // 左モータの比例ゲイン
#define KI_MOTOR_L 29.5   // 左モータの積分ゲイン
#define KD_MOTOR_L 3.0    // 左モータの微分ゲイン

 // 右モータのPIDゲイン
#define KP_MOTOR_R 86.5   // 右モータの比例ゲイン
#define KI_MOTOR_R 29.5   // 右モータの積分ゲイン
#define KD_MOTOR_R 3.0    // 右モータの微分ゲイン

// モータ特性の補正値
#define LEFT_MOTOR_POWER_SCALE 1.0  // 左モータのパワー補正係数
#define RIGHT_MOTOR_POWER_SCALE 1.0   // 右モータのパワー補正係数

// モータの最小・最大出力値
#define MIN_POWER_L 30.0  // 左モータの最小出力
#define MAX_POWER_L 255.0 // 左モータの最大出力
#define MIN_POWER_R 30.0  // 右モータの最小出力
#define MAX_POWER_R 255.0 // 右モータの最大出力

// PWM設定
#define PWM_FREQ 5000
#define PWM_RESOLUTION 8
#define PWM_MAX 255

// ROSドメインID
#define ROS_DOMAIN_ID 20

#endif // DEFINE_H
