// quaternion.h
#ifndef QUATERNION_H
#define QUATERNION_H

struct Quaternion {
    float w, x, y, z;
};

Quaternion toQuaternion(float yaw, float pitch, float roll) {
    Quaternion q;
    float cy = cos(yaw * 0.5);
    float sy = sin(yaw * 0.5);
    float cp = cos(pitch * 0.5);
    float sp = sin(pitch * 0.5);
    float cr = cos(roll * 0.5);
    float sr = sin(roll * 0.5);

    q.w = cr * cp * cy + sr * sp * sy;
    q.x = sr * cp * cy - cr * sp * sy;
    q.y = cr * sp * cy + sr * cp * sy;
    q.z = cr * cp * sy - sr * sp * cy;

    return q;
}

#endif // QUATERNION_H
