#!/usr/bin/env python3
from setuptools import setup, find_packages
import os
from glob import glob

package_name = 'robot_control'

setup(
    name=package_name,
    version='0.0.1',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        # Launch files
        (os.path.join('share', package_name, 'launch'),
            glob('launch/*.launch.py')),
        # Config files
        (os.path.join('share', package_name, 'config'),
            glob('config/*.yaml')),
        # Scripts
        ('lib/' + package_name, glob('scripts/*')),
        # Test files
        (os.path.join('share', package_name, 'test'),
            glob('test/*.py')),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='maintainer',
    maintainer_email='maintainer@example.com',
    description='Robot navigation control package',
    license='Apache-2.0',
    tests_require=[
        'pytest',
        'pytest-cov',
        'pytest-repeat',
        'pytest-rerunfailures',
        'pytest-timeout',
    ],
    entry_points={
        'console_scripts': [
            'robot_navigation_control = robot_control.robot_navigation_control:main',
            'path_planner = robot_control.path_planner:main',
            'robot_system_integration = robot_control.robot_system_integration:main',
            'test_monitor = robot_control.test_monitor:main',
        ],
    },
)
